package com.reyun.service;

import com.reyun.model.Account;
import com.reyun.model.App;
import com.reyun.model.Category;

import java.io.IOException;
import java.util.List;

public interface AppService {

    List<App> listAuthAppByAccount(Account account, Long subAccountId);

    List<App> listAppByAccount(Long account);

    List<Category> listCategory();

	App findById(Long id);
	
	App create(App app,Long accountId);
	
	App update(App app,Long account);
	
	App delete(Long id,Long account);
	
	App enable(Long id,Long account);
	
	App forbidden(Long id,Long account);
	
	Boolean validName(String name);
	
	Boolean validAppleId(Long account,String appleId);
	
	Boolean validName(Long account,String name);

}
